using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.TL
{
    /// <summary>
    /// 隐蔽工程 附件
    /// </summary>
    [Description("隐蔽工程 附件")]
    public class T_TL_PROJECT_SLOPEBANK_PROJ_FILE : MesEntityBase
    {
        /// <summary>
        /// 子坝坡岸处理
        /// </summary>
        [Description("子坝坡岸处理")]
        [DataFieldForeignKey("Nav_SlopeBank", "Nav_Files_Proj")]
        public Guid SLOPEBANK_ID { get; set; }

        /// <summary>
        /// 子坝坡岸处理
        /// </summary>
        [Description("子坝坡岸处理")]
        public virtual T_TL_PROJECT_SLOPEBANK Nav_SlopeBank { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
